# QCAPlugin Class Reference
[QCA provider API]

Provider plugin base class. More...

`#include <QtCrypto>`

List of all members.

## Public Member Functions

virtual QCA::Provider * | createProvider ()=0
virtual | ~QCAPlugin ()

## Detailed Description

Provider plugin base class.

QCA loads cryptographic provider plugins with QPluginLoader. The QObject obtained when loading the plugin must implement the QCAPlugin interface. This is done by inheriting QCAPlugin, and including Q_INTERFACES(QCAPlugin) in your class declaration.

For example:

    class MyPlugin : public QObject, public QCAPlugin
    {
            Q_OBJECT
            Q_INTERFACES(QCAPlugin)
    public:
            virtual Provider *createProvider() { ... }
    };

There is only one function to reimplement, called createProvider(). This function should return a newly allocated Provider instance.

## Constructor & Destructor Documentation

virtual QCAPlugin::~QCAPlugin | ( |  | ) | `[inline, virtual]`

Destructs the object.

## Member Function Documentation

virtual QCA::Provider* QCAPlugin::createProvider | ( |  | ) | `[pure virtual]`

Returns a newly allocated Provider instance.

The documentation for this class was generated from the following file:

- qcaprovider.h